CVE-2007-4157

2007-08-03T21:17:00
ID CVE-2007-4157
Type cve
Reporter cve@mitre.org
Modified 2018-10-15T21:33:00

Description

PHPBlogger stores sensitive information under the web root with insufficient access control, which allows remote attackers to download a database containing an admin password hash via a direct request for data/pref.db. NOTE: this can be easily leveraged for administrative access because composing the authentication cookie only requires the password hash, not the cleartext version.